<div>
    <h2 id="page-heading">
        <span>Case Step Instances</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-case-step-instance" [routerLink]="['/case-step-instance/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Case Step Instance
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="caseStepInstances?.length === 0">
        <span>No caseStepInstances found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="caseStepInstances && caseStepInstances.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Step Id</span></th>
                    <th scope="col" ><span>Case Instance Id</span></th>
                    <th scope="col" ><span>Begin</span></th>
                    <th scope="col" ><span>Team</span></th>
                    <th scope="col" ><span>Step Owner</span></th>
                    <th scope="col" ><span>State</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let caseStepInstance of caseStepInstances ;trackBy: trackId">
                    <td><a [routerLink]="['/case-step-instance', caseStepInstance.id, 'view']">{{ caseStepInstance.id }}</a></td>
                    <td>{{ caseStepInstance.name }}</td>
                    <td>{{ caseStepInstance.stepId }}</td>
                    <td>{{ caseStepInstance.caseInstanceId }}</td>
                    <td>{{ caseStepInstance.begin }}</td>
                    <td>
                        <div *ngIf="caseStepInstance.team">
                            <a [routerLink]="['/team', caseStepInstance.team?.id, 'view']" >{{ caseStepInstance.team?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="caseStepInstance.stepOwner">
                            <a [routerLink]="['/step-owner', caseStepInstance.stepOwner?.id, 'view']" >{{ caseStepInstance.stepOwner?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="caseStepInstance.state">
                            <a [routerLink]="['/case-step-state', caseStepInstance.state?.id, 'view']" >{{ caseStepInstance.state?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/case-step-instance', caseStepInstance.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/case-step-instance', caseStepInstance.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(caseStepInstance)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
